Bug 2074951 (CVE-2022-27379) - CVE-2022-27379 mariadb: server crash in component arg_comparator::compare_real_fixed
Summary: CVE-2022-27379 mariadb: server crash in component arg_comparator::compare_rea...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-27379
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2083246 2083249 2089977 2089980 2090192 2090831 2090832 2090833 2090834 2090839 2090845 2096275 2096280 2101779 2107052 2107074
Blocks: 2075026
TreeView+ depends on / blocked
 
Reported: 2022-04-13 11:21 UTC by TEJ RATHI
Modified: 2022-11-26 00:14 UTC (History)
20 users (show)

Fixed In Version: mariadb 10.7.4, mariadb 10.6.8, mariadb 10.5.16, mariadb 10.4.25, mariadb 10.3.35
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in MariaDB. The component, Arg_comparator::compare_real_fixed, allows attackers to cause a denial of service (DoS) via specially crafted SQL statements, affecting availability.
Clone Of:
Environment:
Last Closed: 2022-11-26 00:14:50 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5759 0 None None None 2022-07-28 16:06:44 UTC
Red Hat Product Errata RHSA-2022:5826 0 None None None 2022-08-02 10:10:49 UTC
Red Hat Product Errata RHSA-2022:5948 0 None None None 2022-08-09 12:25:21 UTC
Red Hat Product Errata RHSA-2022:6306 0 None None None 2022-09-01 14:19:08 UTC
Red Hat Product Errata RHSA-2022:6443 0 None None None 2022-09-13 09:42:34 UTC

Description TEJ RATHI 2022-04-13 11:21:43 UTC
An issue in the component Arg_comparator::compare_real_fixed of MariaDB Server v10.6.2 and below was discovered to allow attackers to cause a Denial of Service (DoS) via specially crafted SQL statements.

https://jira.mariadb.org/browse/MDEV-26353

Comment 4 Mauro Matteo Cascella 2022-05-26 16:04:19 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090831]

Comment 5 Mauro Matteo Cascella 2022-05-26 16:09:50 UTC
Created mariadb:10.5/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090832]

Comment 6 Mauro Matteo Cascella 2022-05-26 16:19:32 UTC
Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090833]

Comment 7 Mauro Matteo Cascella 2022-05-26 16:29:15 UTC
Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090834]

Comment 8 Mauro Matteo Cascella 2022-05-26 16:39:07 UTC
Created mariadb:10.6/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090839]

Comment 9 Mauro Matteo Cascella 2022-05-26 16:57:50 UTC
Created mariadb:10.7/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090845]

Comment 10 errata-xmlrpc 2022-07-28 16:06:41 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:5759 https://access.redhat.com/errata/RHSA-2022:5759

Comment 11 errata-xmlrpc 2022-08-02 10:10:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5826 https://access.redhat.com/errata/RHSA-2022:5826

Comment 12 errata-xmlrpc 2022-08-09 12:25:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5948 https://access.redhat.com/errata/RHSA-2022:5948

Comment 13 errata-xmlrpc 2022-09-01 14:19:05 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:6306 https://access.redhat.com/errata/RHSA-2022:6306

Comment 14 errata-xmlrpc 2022-09-13 09:42:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:6443 https://access.redhat.com/errata/RHSA-2022:6443

Comment 16 Product Security DevOps Team 2022-11-26 00:14:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-27379


Note You need to log in before you can comment on or make changes to this bug.